* {
    /border: 2px solid;
}

/* resume section */
.resume {
    color: #fff;
    /*background: var(--colorGradient);*/
    height: 100vh;
    padding-left: 10px !important;
    padding-right: 10px !important;


}

.resume .title::before,
.projects .title::before {
    background: #fff;
}

.resume .title::after {
    content: "my journey";
    background: var(--colorYellow);
    border-radius: 0.5rem;
}

.resume .max-width {
    max-width: 100rem;
    min-height: 35rem;

}

.swiper-container {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    position: relative;
    margin-top: 10vh;
}

.swiper-wrapper {
    width: 100%;
    height: 100%;

}

.swiper-slide {
    width: 100%;
    height: 23rem;
    background: var(--colorPurpleLight);
    box-shadow: 8px 8px 15px 0px #100f0f;
    text-align: center;
    border-radius: 1rem;
    padding: 1.2rem 1.2rem;
    transition: all 0.3s ease;
    transition: opacity 0.5s ease;
    opacity: 0;

}

.swiper-slide-active {
    opacity: 1;
}

.swiper-button-prev {
    transform: translate(90%, 0);
}

.swiper-button-next {
    transform: translate(-90%, 0);
}

.swiper-button-next,
.swiper-button-prev {
    width: 8rem;
    display: flex;

    position: absolute;
    transition: color 1s ease;
    color: var(--colorPurpleLight);

}


.swiper-button-prev:hover {
    animation: pulse-prev 2s infinite, changeColor 1s forwards;
}

.swiper-button-next:hover {
    animation: pulse-next 2s infinite, changeColor 1s forwards;
}

.swiper-button-prev:after {
    font-size: 4rem;
    font-family: Arial, Helvetica, sans-serif;
    content: '\00AB';
}

.swiper-button-next:after {
    font-size: 4rem;
    font-family: Arial, Helvetica, sans-serif;
    content: '\00BB';
}

.journey-contain {
    width: 100%;
    height: 100%;
    text-align: center;
    border-radius: 1rem;
    transition: all 0.5s ease;
    display: flex;
    align-items: center;
    justify-content: center;
    perspective: 600px;
    margin-top: 0%;
    font-family: 'Oxygen', sans-serif; 
}

.resume .swiper-container .swiper-wrapper .swiper-slide .journey-contain:hover {
    color: var(--colorPurpleDeep);
    transform: scale(1.05);
}

.journey-card {
    width: 99%;
    height: 100%;
    transition: transform 1s;
    transform-style: preserve-3d;
    cursor: pointer;
    position: relative;
    border-radius: .8rem;
    font-size: 25px;
    font-weight: 500;
    color: white;
    padding: 2%;
    /* -webkit-backface-visibility: hidden;
            backface-visibility: hidden; */
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 4px 4px 10px 0px #100f0f;
}

.journey-card a,
.journey-card a:visited {
    text-decoration: none;
    color: var(--colorPurpleDeep);
}

.journey-card.is-flipped {
    transform: rotateY(180deg);
}

.jcard-face {
    position: absolute;
    width: 100%;
    height: 100%;
    /* line-height: 260px; */
    color: black;
    text-align: center;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    word-wrap: break-word;
    display: flex;
    flex-direction: column;


}

.jcard-face-front {
    background-color: #fff;
    border-radius: inherit;
}

.jcard-face-back {
    background-color: #fff;
    transform: rotateY(180deg);
    border-radius: inherit;

}


.curve-arrow {
    position: absolute;
    bottom: 0;
    right: 5%;
    color: var(--colorPurpleDeep);

}

.jcard-logo {
    display: flex;
    position: absolute;
    left: 3%;
    top: 2%;
    height: 14%;
    width: 14%;



}

.jcard-logo img {
    height: 100%;
    width: 100%;
    object-fit: contain;

}



.jcard-text1 {
    background-color: var(--colorPurpleDeep);
    font-size: 1.5rem;
    padding-top: 2.5%;
    height: 18%;
    
    border-radius: 0.8rem 0.8rem 0 0;
    color: white;

}

.jcard-year {

    padding-bottom: 1%;
    font-size: 1rem;
    color:var(--colorPurpleDeep);
    z-index: 10;
    cursor: default;

}

.jcard-face-front .jcard-text2 {
    margin-bottom: 1%;
    color: var(--colorPurpleDeep)
}

.jcard-face-back .jcard-text2 {
    cursor: default;
}

.jcard-text2 {
    padding-top: 12%;
    font-weight: bold;
    font-size: 2rem;
    color: var(--colorPurpleDeep)
}


.jcard-text3 {
    padding-top: 1%;
    font-size: 1.1rem;
    color: var(--colorPurpleDeep);
    cursor: default;
}

hr {
    margin-top: 2%;
    margin-bottom: -5%;

}

.jcard-text3-ul {
    height: 54%;
    font-size: 0.9rem;
    line-height: 1.3rem;
    text-align: left;
    overflow-y: scroll;
    padding-left: 5rem;
    padding-right: 3rem;
    cursor: default;
}


.jcard-text3-ul::-webkit-scrollbar {
    width: 0.5rem;

}


.jcard-text3-ul::-webkit-scrollbar-track {
    background-color: white;
    border-radius: 5px;
}

.jcard-text3-span {
    
}

.jcard-face-back .jcard-text2 {
    margin-top: -11%;
}

.jcard-face-back ul li {
    padding-bottom: 0.7rem;
}

.jcard-face-back ul li a {
    text-decoration: underline;
}

.jcard-face-back .jcard-year {
    font-weight: bold;
   
}

#jcard3-front .jcard-text2 {
    line-height: 38px;
    font-size: 2rem;
    padding-bottom: 0.5rem;
    
}

#jcard3-front .jcard-text2 span {
    font-size: 1.5rem
}

#jcard8-front .jcard-text2 {
    font-size: 2rem;
}


@keyframes changeColor {
    from {
        color: rgb(236, 232, 232);
    }

    to {
        color: var(--colorPurpleDeep);
    }
}

@keyframes pulse-prev {
    0% {
        transform: scale(1) translate(90%, 0);
        position: absolute;

    }

    50% {
        transform: scale(1.1) translate(90%, 0);
        position: absolute;

    }

    100% {
        transform: scale(1) translate(90%, 0);
        position: absolute;

    }
}

@keyframes pulse-next {
    0% {
        transform: scale(1) translate(-90%, 0);
        position: absolute;

    }

    50% {
        transform: scale(1.1) translate(-90%, 0);
        position: absolute;

    }

    100% {
        transform: scale(1) translate(-90%, 0);
        position: absolute;

    }

}


/* Set maximum width for small devices */

@media (max-width: 1024px) {
    .resume {
        overflow-x: hidden;
    }

    .swiper-container {
        width: 100%;
        margin-top: 15%;
    }

    .swiper-wrapper {
        width: 100%;
    }

    .resume .max-width {
        width: 44rem;
    }

    .swiper-slide {

        height: 35rem;
        box-shadow: none;
        border-radius: 1rem;
        padding: 2rem 2rem;
        display: flex;
        align-items: center;
        justify-content: center;
        position: relative;
        opacity: 1;

    }

    .swiper-button-prev {
        transform: translate(-40%, 0);
    }

    .swiper-button-next {
        transform: translate(40%, 0);
    }

    .swiper-button-prev:hover,
    .swiper-button-next:hover {
        animation: none;
        color: var(--colorPurpleDeep)
    }

    .swiper-button-prev::after,
    .swiper-button-next::after {
        font-size: 2.6rem;
    }

    .journey-contain {

        margin-top: -1%;
        height: 30rem;
        width: 32rem;
    }

    .jcard-face-front .jcard-text2 {
        padding-top: 20%;
    }

    .jcard-face-back .jcard-text2 {
        margin-top: -1%;
    }

    .jcard-face-back ul {
        padding-left: 6rem;
        padding-right: 4rem;
    }

    .jcard-text1 {
        padding-top: 5%;
    }

    #jcard4 .jcard-text1 {
        padding-left: 8%;
    }

    .jcard-text2 {}

    #jcard3-front .jcard-text2,
    #jcard5-front .jcard-text2 {

        font-size: 1.9rem;

    }


}

@media (max-width: 991px) {

    .resume .max-width {

        width: 90vw;

    }

    .journey-contain {
        
        height: 100%;
        width: 85%;
    }

    .jcard-text1 {
        padding-top: 4%;
        font-size: 1.7rem;
    }



    .jcard-text2 {
        font-size: 2.1rem;

    }


    .jcard-face-back .jcard-text3 {
        margin-top: -9%;
    }

    .jcard-text3,
    .jcard-text3-ul {

        font-size: 1.1rem;
    }


}

@media (max-width: 768px) {

    .jcard-face-back ul {
        padding-left: 3rem;
        padding-right: 3rem;
    }

    .jcard-text1 {
        padding-top: 6%;
    }

    #jcard4 .jcard-text1 {
        padding-left: 12%;
        font-size: 1.6rem;
    }


    #jcard3-front .jcard-text2,
    #jcard5-front .jcard-text2 {

        font-size: 1.8rem;

    }

}


@media (max-width: 690px) {
    .resume .max-width {
        width: 85%;
        margin-top: 10vh;
    
    }

    .journey-contain {

        height: 95%;
        width: 90%;
    }

    .jcard-text1 {
        font-size: 1.2rem;
        padding-top: 7.5%;
        padding-left: 2%;

    }


    .jcard-text2 {
        padding-left: 0.7rem;
        padding-right: 0.7rem;
        margin-top: 3rem;
        font-size: 2rem;
    }

    .jcard-face-back .jcard-text2 {
        margin-top: 1rem;
        margin-bottom: 0.5rem;

    }

    .jcard-face-front .jcard-text2 {
        padding-top: 15%;
    }

    #jcard3-front .jcard-text2 {
        line-height: 30px;
        font-size: 1.8rem;

    }

    #jcard3-front .jcard-text2 span {
        font-size: 1.5rem
    }

    .jcard-face-back .jcard-text3 {
        margin-top: -14%;
        font-size: 1rem;

    }

    .jcard-face-back ul {
        padding-left: 2.5rem;
        padding-right: 1rem;
        font-size: 0.9rem;
    }

    #jcard4 .jcard-text1 {

        font-size: 1.1rem;
        padding-left: 6%;
    }

    .swiper-button-prev {
        left: 0;
    }

    .swiper-button-next {
        right: 0
    }
}



@media (max-width: 500px) {

    .resume {
        height: 110vh;
        overflow-y: hidden;
    }

    .resume .max-width {
        width: 93vw;
        
        
    }

    .swiper-slide {
        height: 26rem;

    }

    .swiper-button-prev:hover,
    .swiper-button-next:hover {
        animation: none;
        color: var(--colorPurpleDeep)
    }

    .swiper-button-prev::after,
    .swiper-button-next::after {
        font-size: 3rem;
    }

                .swiper-button-prev {
                    transform: translate(-62%, 0);
                }
        
                .swiper-button-next {
                    transform: translate(62%, 0);
                }

    .journey-contain {
        height: 100%;
        width: 100%;
        
    }

    .journey-card {
        height: 100%;
       
    }


    .jcard-text1 {
        font-size: 1.1rem;
        padding-left: 4%;
    }

        .jcard-face-front .jcard-text2 {
            font-size: 1.5rem;
             padding: unset;
             margin-top: 30%;

        }


    .jcard-face-back .jcard-year {
      font-size: 0.8rem;
      padding-bottom: 3%;

    }

        .jcard-face-back .jcard-text2 {
        padding-top: 1%;
        font-size: 1.2rem;

    }

    .jcard-face-front .jcard-text3 {
        font-size: 1rem;
    }

    .jcard-text3-ul {
        font-size: 1rem;
        text-align: left;
        display: flex;
        flex-direction: column;
        gap: 0.4rem;
        height: 60%;

    }

    #jcard4 .jcard-text1 {
        padding-left: 14%;
        font-size: 1rem;
    }

    #jcard3-front .jcard-text2,
        #jcard5-front .jcard-text2,
                #jcard8-front .jcard-text2 {

        line-height: 25px;
        font-size: 1.4rem;
        margin-top: 25%;

    }

    #jcard3-front .jcard-text2 span {
        font-size: 1.2rem
    }

    #jcard6 .jcard-logo,
        #jcard7 .jcard-logo {
           height: 1.8rem;
           margin-top: 5%;
        }

.jcard-face-back ul {
    padding-left: 1.5rem;
    padding-right: 0.6rem;
    font-size: 0.75rem;
}

}